Bot Packs
These API endpoints are related to IBL packs
packs/{id}Get Pack
Gets a pack on the list based on the URL.
Path Parameters
idRequiredstring
The URL of the pack.
Success
packs/{id}/seoGet Pack SEO Info
Gets the minimal SEO information about a pack for embed/search purposes. Used by v4 website for meta tags
Path Parameters
idRequiredstring
The packs ID, name or vanity
Success
packs/@allGet All Packs
Gets all packs on the list. This endpoint is paginated.
Query Parameters
pagestring
The page number
Success
users/{id}/packsCreate Pack
Creates a pack. Returns 204 on success
Authorization
User-Auth<token>
Requires a user token. Should be prefixed with User in Authorization header.
In: header
Request Body
application/jsonRequiredbotsarray<string>
namestring
serversarray<string>
shortstring
tagsarray<string>
urlstring
Path Parameters
idRequiredstring
The user's ID
Success
users/{uid}/packs/{id}Patch Pack
Edits a pack you are owner of based on the URL only. Returns 204 on success
Authorization
User-Auth<token>
Requires a user token. Should be prefixed with User in Authorization header.
In: header
Request Body
application/jsonRequiredbotsarray<string>
namestring
serversarray<string>
shortstring
tagsarray<string>
Path Parameters
uidRequiredstring
The user's ID
idRequiredstring
The pack's URL
Success
users/{uid}/packs/{id}Delete Pack
Deletes a pack by URL. You must be the owner of the pack to delete packs. Returns 204 on success
Authorization
User-Auth<token>
Requires a user token. Should be prefixed with User in Authorization header.
In: header
Path Parameters
uidRequiredstring
The user's ID
idRequiredstring
The pack's URL
Success